package com.bocloud.ims.service.model;

import com.bocloud.ims.entity.resource.ResourceAlarm;
import com.bocloud.ims.entity.resource.Server;

import java.util.List;

public class ExportModel {

	private PlatformAbstract plateFormAbstract;
	private List<Server> hosts;
	private List<ResourceAlarm> alarms;
	private String type;

	/**
	 * @return the plateFormAbstract
	 */
	public PlatformAbstract getPlateFormAbstract() {
		return plateFormAbstract;
	}

	/**
	 * @param plateFormAbstract
	 *            the plateFormAbstract to set
	 */
	public void setPlateFormAbstract(PlatformAbstract plateFormAbstract) {
		this.plateFormAbstract = plateFormAbstract;
	}

	/**
	 * @return the hosts
	 */
	public List<Server> getHosts() {
		return hosts;
	}

	/**
	 * @param hosts
	 *            the hosts to set
	 */
	public void setHosts(List<Server> hosts) {
		this.hosts = hosts;
	}

	/**
	 * @return the alarms
	 */
	public List<ResourceAlarm> getAlarms() {
		return alarms;
	}

	/**
	 * @param alarms
	 *            the alarms to set
	 */
	public void setAlarms(List<ResourceAlarm> alarms) {
		this.alarms = alarms;
	}

	/**
	 * @return the type
	 */
	public String getType() {
		return type;
	}

	/**
	 * @param type
	 *            the type to set
	 */
	public void setType(String type) {
		this.type = type;
	}

}
